import type { Reducer } from 'redux';
import type { FavoriteQuery } from '@mongodb-js/my-queries-storage';
import type { SavedPipeline } from '@mongodb-js/my-queries-storage';
import type { SavedQueryAggregationThunkAction } from '.';
import type { Actions as DeleteItemActions } from './delete-item';
import type { Actions as EditItemActions } from './edit-item';
export declare enum ActionTypes {
    ITEMS_FETCHED = "compass-saved-aggregations-queries/itemsFetched"
}
export type Actions = {
    type: ActionTypes.ITEMS_FETCHED;
    payload: Item[];
};
export type Item = {
    id: string;
    lastModified: number;
    name: string;
    database: string;
    collection: string;
} & ({
    type: 'query';
    query: FavoriteQuery;
} | {
    type: 'aggregation';
    aggregation: Omit<SavedPipeline, 'lastModified'>;
});
export type State = {
    loading: boolean;
    items: Item[];
};
declare const reducer: Reducer<State, Actions | EditItemActions | DeleteItemActions>;
export declare const fetchItems: () => SavedQueryAggregationThunkAction<Promise<void>, Actions>;
export default reducer;
//# sourceMappingURL=aggregations-queries-items.d.ts.map